// ●リスト7::Deferredオブジェクトの状態変更メソッド
function getDeferred() {
  return $.Deferred().done(function(arg) {
    console.log('done1: ' + arg);
  }).fail(function(arg) {
    console.log('fail: ' + arg);
  }).always(function(arg) {
    console.log('always: ' + arg);
  }).done(function(arg) {
    console.log('done2: ' + arg);
  });
}

// （1）生成したDeferredオブジェクトをresolveする
var resolved = getDeferred().resolve('Resolve!');
// コンソールの出力結果
// done1: Resolve!
// always: Resolve!
// done2: Resolve!

// （2）生成したDeferredオブジェクトをrejectする
getDeferred().reject('Reject!');
// コンソールの出力結果
// fail: Reject!
// always: Reject!
// （3）resolveしたあとdoneメソッドでコールバックを登録
resolved.done(function(arg) {
  console.log('done3: ' + arg);
});
// コンソールの出力結果
// done3: Resolve!
