// ●リスト8::Promiseオブジェクト
// （1）指定秒数後にresolveされるPromiseオブジェクトを返す関数
function wait(sec, opt_arg) {
  var d = $.Deferred();
  setTimeout(function() {
    d.resolve(opt_arg);
  }, sec * 1000);
  // （2）Promiseオブジェクトを返す
  return d.promise();
}

// （3）3秒後に実行されるようにコールバック関数を登録
var promise = wait(3).done(function() {
  console.log('3秒後に実行される');
});

// （4）Promiseオブジェクトにはresolveメソッドがないためエラー
//promise.resolve('予想外のresolve');
